Bug 1030564 - [abrt] pkgwat-0.9-1.fc20: utils.py:36:strip_tags:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe4' in position 11: ordinal not in range(128)
[abrt] pkgwat-0.9-1.fc20: utils.py:36:strip_tags:UnicodeEncodeError: 'ascii' ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pkgwat (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0699790160671ae53f230f387ef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 12:13 EST by Kamil Páral
Modified: 2014-01-22 21:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-22 21:46:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.31 KB, text/plain)
2013-11-14 12:14 EST, Kamil Páral
no flags Details
File: dso_list (69 bytes, text/plain)
2013-11-14 12:14 EST, Kamil Páral
no flags Details
File: environ (3.01 KB, text/plain)
2013-11-14 12:14 EST, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2013-11-14 12:13:59 EST
Description of problem:
The changelog command seems broken.

Version-Release number of selected component:
pkgwat-0.9-1.fc20

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python2 /usr/bin/pkgwat --debug changelog gajim
executable:     /usr/bin/pkgwat
kernel:         3.11.7-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
utils.py:36:strip_tags:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe4' in position 11: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/pkgwat", line 9, in <module>
    load_entry_point('pkgwat.cli==0.9', 'console_scripts', 'pkgwat')()
  File "/usr/lib/python2.7/site-packages/pkgwat/cli/main.py", line 60, in main
    return myapp.run(argv)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 215, in run
    result = self.run_subcommand(remainder)
  File "/usr/lib/python2.7/site-packages/pkgwat/cli/main.py", line 55, in run_subcommand
    return super(PkgWat, self).run_subcommand(argv)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 280, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/display.py", line 84, in run
    column_names, data = self.take_action(parsed_args)
  File "/usr/lib/python2.7/site-packages/pkgwat/cli/subcommands.py", line 335, in take_action
    start_row=args.start_row,
  File "/usr/lib/python2.7/site-packages/pkgwat/api/__init__.py", line 612, in changelog
    return _make_request(path, query, strip_tags)
  File "/usr/lib/python2.7/site-packages/pkgwat/api/__init__.py", line 143, in _make_request
    d = pkgwat.api.utils.strip_tags(d)
  File "/usr/lib/python2.7/site-packages/pkgwat/api/utils.py", line 24, in strip_tags
    return dict(((k, strip_tags(v)) for k, v in d.items()))
  File "/usr/lib/python2.7/site-packages/pkgwat/api/utils.py", line 24, in <genexpr>
    return dict(((k, strip_tags(v)) for k, v in d.items()))
  File "/usr/lib/python2.7/site-packages/pkgwat/api/utils.py", line 27, in strip_tags
    return [strip_tags(element) for element in d]
  File "/usr/lib/python2.7/site-packages/pkgwat/api/utils.py", line 24, in strip_tags
    return dict(((k, strip_tags(v)) for k, v in d.items()))
  File "/usr/lib/python2.7/site-packages/pkgwat/api/utils.py", line 24, in <genexpr>
    return dict(((k, strip_tags(v)) for k, v in d.items()))
  File "/usr/lib/python2.7/site-packages/pkgwat/api/utils.py", line 36, in strip_tags
    return s.get_data().decode('unicode-escape')
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe4' in position 11: ordinal not in range(128)

Local variables in innermost frame:
s: <pkgwat.api.utils.MLStripper instance at 0x262db90>
d: u'Ville Skytt\xe4 '
Comment 1 Kamil Páral 2013-11-14 12:14:06 EST
Created attachment 824052 [details]
File: backtrace
Comment 2 Kamil Páral 2013-11-14 12:14:09 EST
Created attachment 824053 [details]
File: dso_list
Comment 3 Kamil Páral 2013-11-14 12:14:11 EST
Created attachment 824054 [details]
File: environ
Comment 4 Fedora Update System 2013-11-14 15:37:34 EST
python-pkgwat-api-0.12-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-pkgwat-api-0.12-1.fc20
Comment 5 Fedora Update System 2013-11-14 15:37:52 EST
python-pkgwat-api-0.12-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-pkgwat-api-0.12-1.fc19
Comment 6 Fedora Update System 2013-11-14 15:38:11 EST
python-pkgwat-api-0.12-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-pkgwat-api-0.12-1.fc18
Comment 7 Fedora Update System 2013-11-14 15:38:27 EST
python-pkgwat-api-0.12-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pkgwat-api-0.12-1.el6
Comment 8 Fedora Update System 2013-12-02 20:21:00 EST
python-pkgwat-api-0.12-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-12-03 05:35:11 EST
python-pkgwat-api-0.12-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-12-03 05:40:53 EST
python-pkgwat-api-0.12-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-12-13 21:43:37 EST
python-pkgwat-api-0.12-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.